Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.socket
Class SSLFactory

    java.lang.Object
      edu.stanford.smi.protege.server.socket.SSLFactory

All Implemented Interfaces:
  RMIClientSocketFactory, RMIServerSocketFactory

    public class SSLFactory

extends Object
implements RMIClientSocketFactory, RMIServerSocketFactory

Nested Class Summary
`static class` | `SSLFactory.Context`

Field Summary
`static String` | `DEFAULT_KEYMANAGER_ALGORITHM`
`static String` | `DEFAULT_KEYSTORE_TYPE`
`static String` | `DEFAULT_SSL_PROTOCOL`
`static String` | `KEYMANAGER_ALGORITHM`
`static String` | `KEYSTORE_TYPE`
`static String` | `SSL_KEYSTORE`
`static String` | `SSL_PASSWORD`
`static String` | `SSL_POLICY`
`static String` | `SSL_PROTOCOL`

Constructor Summary
`SSLFactory()`

Method Summary
`static boolean` | `checkAuth()`
`ServerSocket` | `createServerSocket(int port)`
`Socket` | `createSocket(String host, int port)`
`static int` | `getServerPort(SSLFactory.Context context)`
`static void` | `resetAuth()`
`static boolean` | `useSSL(SSLFactory.Context context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSL_POLICY

    public static final String SSL_POLICY

See Also:
  Constant Field Values

### SSL_KEYSTORE

    public static final String SSL_KEYSTORE

See Also:
  Constant Field Values

### SSL_PASSWORD

    public static final String SSL_PASSWORD

See Also:
  Constant Field Values

### KEYSTORE_TYPE

    public static final String KEYSTORE_TYPE

See Also:
  Constant Field Values

### DEFAULT_KEYSTORE_TYPE

    public static final String DEFAULT_KEYSTORE_TYPE

See Also:
  Constant Field Values

### KEYMANAGER_ALGORITHM

    public static final String KEYMANAGER_ALGORITHM

See Also:
  Constant Field Values

### DEFAULT_KEYMANAGER_ALGORITHM

    public static final String DEFAULT_KEYMANAGER_ALGORITHM

See Also:
  Constant Field Values

### SSL_PROTOCOL

    public static final String SSL_PROTOCOL

See Also:
  Constant Field Values

### DEFAULT_SSL_PROTOCOL

    public static final String DEFAULT_SSL_PROTOCOL

See Also:
  Constant Field Values

Constructor Detail

### SSLFactory

    public SSLFactory()

Method Detail

### createServerSocket

    public ServerSocket createServerSocket(int port)
                                    throws IOException

  Specified by:
    `createServerSocket` in interface `RMIServerSocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(String host,
                               int port)
                        throws IOException

  Specified by:
    `createSocket` in interface `RMIClientSocketFactory`
  Throws:
    `IOException`

### getServerPort

    public static int getServerPort(SSLFactory.Context context)

### useSSL

    public static boolean useSSL(SSLFactory.Context context)

### resetAuth

    public static void resetAuth()

### checkAuth

    public static boolean checkAuth()
                             throws SecurityException

  Throws:
    `SecurityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.